#
# spec file for package notify-osd-config
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   notifyosdconf
%define _full_ver 0.3+22+201404260950~ubuntu14.04.1
%define _version 201404260950
Name:           notify-osd-config
Version:        0.3~bzr20140426
Release:        5.5
Summary:        Configuration utility for notify-osd
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://launchpad.net/~amandeepgrewal/+archive/ubuntu/notifyosdconfig
Source:         http://ppa.launchpad.net/amandeepgrewal/notifyosdconfig/ubuntu/pool/main/n/notifyosdconfig/notifyosdconfig_%{_full_ver}.tar.gz
Source1:        %{name}.desktop
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(QtGui)
Requires:       libnotify-tools
Requires:       notify-osd >= 0.9.29

%description
Customize the appearance and behaviour of Notify OSD, from an easy
graphical user interface.
This utility requires patch by Roman Sukochev (Leolik).

%prep
%setup -q -n recipe-{debupstream}+{revno}+%{_version}
cp -f %{SOURCE1} %{name}.desktop

%build
%{_libdir}/qt4/bin/qmake \
  QMAKE_CFLAGS="%{optflags}"   \
  QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
install -Dm 0755 %{_name} %{buildroot}%{_bindir}/%{name}

install -Dm 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm 0644 not.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -Dm 0644 not.png %{buildroot}%{_datadir}/%{_name}/not.png
install -Dm 0644 default.def %{buildroot}%{_datadir}/%{_name}/default.def

%suse_update_desktop_file %{name}
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc debian/changelog LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{_name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*

%changelog
* Thu Jul 17 2014 sor.alexei@meowr.ru
- Initial build.
